Apple's Catalina

 
  

 

 

Het nieuwste operating systeem van Apple

 
12 sept. ---> 1 oktober 2019
 

Direct Upgraden als deze Upgrade uitkomt?

 
Wees er van te voren 100% zeker van dat u geen programma's hebt draaien, die nog niet, of wellicht helemaal niet compatibel zijn met de nieuwe Catalina operating systeem van Apple. En check ook van te voren of uw Mac wel geschikt is bevonden om te Upgraden, zie hieronder.
 
Bent u er niet helemaal zeker van, klik dan niet even snel om te Upgraden, maar wacht nog even af en volg de Fora over deze jaarlijkse grote verandering.

 


Op diverse Apple sites wordt alleen aandacht geschonken aan het feit OF UW APPLE computer geschikt is.

Er wordt met geen woord gerept over OF DE PROGRAMMA's die u gebruikt dan nog wel werken.

Dat is niet nieuw, het gebeurt elk jaar opnieuw. Het gaat voorlopig nog om diverse beta versies. Zie onderstaand opwekkende mededelingen:

 

 

Adobe software en Catalina

https://community.adobe.com/t5/Get-Started/Adobe-CC-apps-and-MacOS-Catalina-

What-s-broken-What-s-not/td-p/10496510

Met deze voorlopige conclusies

wipeed the machine and the CC installer won't run
Premiere Pro does not work
Do not install Catalina if you only have one computer (that’s required for work)
Always in beta some serious bugs, preventing getting to work
32-bit plugins will stop working (Adobe plugins)
Lightroom CC doesn’t work
Acrobat DC did want to install
Any Adobe Apps can be installed on my MacBook Pro 15 with 10.15 beta
Lightroom can no write directories
Lightroom is working in beta 3 Catalina
Only with one core?
Opened Photoshop, saying that my disk was full
Premiere crashes every time I move text
In beta 7 non of the apps work for me, CC2015 Adobe Illustrator, PS and Indesign.

MacOS Catalina Compatibile Macs list

http://osxdaily.com/2019/06/04/macos-catalina-compatibile-macs-list/

MacOS Catalina is compatibel met de volgende computers

Apple Support

Let op: ze zeggen deze computers kunnen met Catalina werken, er wordt met geen woord gerept over SOFTWARE waar u mee zou willen werken, software die u hebt aangeschaft om werk mee te verrichten

https://support.apple.com/nl-nl/HT210222


32-bit APP support stops

https://www.theverge.com/2019/7/25/8930345/macos-catalina-app-compatibility-how-to-desktop

What if my favorite app is still 32-bit?

If any of your apps are 32-bit, they're in danger of not working when macOS Catalina launches. There is hope, however. Apple says that it's working with developers to get them ready for the shift, but you can reach out directly to your app's developer to make your point about it, too.


We strongly advise you NOT TO UPDATE your operating system with MacOSX 10.15

https://help.ableton.com/hc/en-us/articles/360008413439-Live-9-is-not-compatible-with-macOS-10-15-Catalina


 
 
 
Wij houden u hier op de hoogte, zodra SketchUp Pro compatibel zal zijn met MAC OSX 10.15.
De huidige SketchUp Pro versie 2019.2 is daar nog niet op voorbereid.

 

Het zal een hele dobber worden voor de ontwikkelaars van SketchUp Pro om zich wederom (elk jaar opnieuw) aan de vele nieuwe veranderingen aan te kunnen passen.

 


Documentatie over Mac OSX 10.15

 

Catalina bij MacWorld in Engeland

Mojave supported mid-2010 or mid-2012 Mac Pro models with certain Metal-capable graphics processor, unfortunately, it doesn't look like Catalina will.
 
Metal was the key here - Macs that didn't have Metal support were dropped after High Sierra. It is possible that eGPU support could extend the lives of older Macs though.
 
https://www.macworld.co.uk/news/mac-software/macos-catalina-3690189/#toc-3690189-3
 
 
 
iPad als een tweede aanraakscherm inzetten: Sidecar
 
https://www.apple.com/macos/catalina/
Powerful apps. Made even more powerful.
 
Discover all the amazing apps that are compatible with Sidecar, including illustration, photography, and 3D apps.
Adobe Illustrator, Cinema 4D, Maya, ZBrush.
 
 
 
Bekende nog lopende niet opgeloste problemen
Known Issues
https://developer.apple.com/documentation/macos_release_notes/macos_catalina_10_15_beta_8_release_notes
 
 
 
OpenGL en Blender met Catalina
https://blenderartists.org/t/upcoming-metal-2-api-in-macos-catalina-and-its-implications-within-blender/1163509/9
 
Catalina still supports legacy OpenGL and there will be RadeonPro, Octane, Redshift Metal renderers so Blender is still usable on a Mac at least one more year.
 
 
Apple heeft OpenAL in Catalina buitenspel gezet.
En daarmee ook de al eerder aangekondigde OpenGl en OpenCL.
 
Apple has deprecated OpenAL in Catalina
https://linustechtips.com/main/topic/1069629-apple-has-deprecated-openal-in-macos-1015-catalina/
 
 
 
OpenGL dropped all together
https://news.ycombinator.com/item?id=20250136
Apple doesn't care much about games on macOS.
 
Each and every version of macOS for the past 10 years has shipped with 4+ years old versions of OpenGL.
For example El Capitan (the last version without Metal) was released in 2015 and shipped with OpenGL 4.1 which was released in 2010.
 
Apple flagged OpenGL as deprecated in 10.14 so they have plans to drop it altogether.
 
In the process of deprecation they broke it, for old time's sake:
 
https://twitter.com/icculus/status/1054634481812992000
 
 
 
 
Why Mojave requires Metal - and deprecates OpenGL & OpenCL
 
The OpenGL deprecation
https://appleinsider.com/articles/18/06/28/why-macos-mojave-requires-metal----and-deprecates-opengl
 
Welke Apple computers zijn compatibel met Catalina?
 
Which Apple computers are compatible?
https://www.techrepublic.com/article/will-your-mac-upgrade-to-macos-catalina/
 
 
 
Catalina: will your Mac run it?
https://www.zdnet.com/article/macos-catalina-will-your-mac-run-it/
 
 
 
Metal en OpenGL ondersteuning op OSX
https://www.timeexposure.com/support_center_kb.php?action=article&id=860
 
There were rumors that Apple would completely remove support for OpenGL with the next OSX release (OSX 10.15). However, at the June 2019 WWDC event, Apple announced that they will still be supporting OpenGL in OSX 10.15 ("Catalina") but also stated that "now is the time to move" implying that this may be the last OSX release that will support OpenGL.
 


omhoog